Bug 1293607 - update rhos-8.0-patches with latest from upstream stable/liberty (up to commit: 29f70e7) before OSP8 GA
update rhos-8.0-patches with latest from upstream stable/liberty (up to commi...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Lee Yarwood
Prasanth Anbalagan
: Rebase
: 1287696 (view as bug list)
Depends On: 1293679
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 07:02 EST by Eoghan Glynn
Modified: 2016-04-07 17:16 EDT (History)
14 users (show)

See Also:
Fixed In Version: openstack-nova-12.0.1-1.el7ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
With this update, the 'openstack-nova' packages have been rebased to upstream version 12.0.1. Some of the highlights addressed by this rebase are as follows: - Treat sphinx warnings as errors when building release notes - Fix warning in 12.0.1-cve-bugs-7b04b2e34a3e9a70.yaml release note - Fix backing file detection in libvirt live snapshot - Add security fixes to the release notes for 12.0.1 - Fix format conversion in libvirt snapshot - Fix format detection in libvirt snapshot - VMware: specify chunk size when reading image data - Revert "Fixes Python 3 str issue in ConfigDrive creation" - Do not load deleted instances - Make scheduler_hints schema allow list of id - Add -constraints sections for CI jobs - Remove the TestRemoteObject class - Update from global requirements - VMware: fix bug for config drive when inventory folder is used - Omnibus stable fix for upstream requirements breaks - Refresh stale volume BDMs in terminate_connection - Fix metadata service security-groups when using Neutron - Add "vnc" option group for sample nova.conf file - Scheduler: honor the glance metadata for hypervisor details - reno: document fixes for service state reporting issues - servicegroup: stop zombie service due to exception - Import Translations from Zanata - xen: mask passwords in volume connection_data dict - Fix is_volume_backed_instance() for unset image_ref - Split up test_is_volume_backed_instance() into five functions - Handle DB failures in servicegroup DB driver - Fixes Python 3 str issue in ConfigDrive creation - Fix Nova's indirection fixture override - Updated from global requirements - Add first reno-based release note - Add "unreleased" release notes page - Add reno for release notes management - cells is a sad panda about scheduler hints - libvirt:on snapshot delete, use qemu-img to blockRebase if VM is stopped - Fix attibute error when cloning raw images in Ceph - Exclude all BDM checks for cells - Image meta: treat legacy vmware adapter type values
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 17:16:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eoghan Glynn 2015-12-22 07:02:31 EST
In order to leverage the stable-maint efforts upstream, we should do a "pseudo-rebase" up to the latest interesting commit on stable/liberty upstream (given that a 12.0.1 tag has not yet been cut by upstream, and is unlikely to be so in the immediate future).

This would include at least the following commits (starred) from stable/upstream:

  05e54eb Add -constraints sections for CI jobs
  1a688e3 Remove the TestRemoteObject class
  94d6b69 Omnibus stable fix for upstream requirements breaks
* 29f70e7 Scheduler: honor the glance metadata for hypervisor details
* e0647dd servicegroup: stop zombie service due to exception
* 1f94018 Imported Translations from Zanata
* cf197ec xen: mask passwords in volume connection_data dict
* 626139e Handle DB failures in servicegroup DB driver
* 0ff44c9 Fix Nova's indirection fixture override
* f04cf8c Updated from global requirements
  70fbad4 Add first reno-based release note
  999267c Add "unreleased" release notes page
  5207013 Add reno for release notes management
* d3fe7e4 cells is a sad panda about scheduler hints
* 474e7bb Fix attibute error when cloning raw images in Ceph
* cc19164 Exclude all BDM checks for cells
* 50db2a5 Image meta: treat legacy vmware adapter type values
* 9a1ff88 Switch to post-versioning
* e6d3b85 update .gitreview for stable/liberty
Comment 5 Prasanth Anbalagan 2016-02-02 08:07:45 EST
Verified that the fixed in version or later has been included in RHOS8 packaging.

[root@lynx13 ~(keystone_admin)]# yum list installed |   grep openstack-nova
openstack-nova-api.noarch            1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-cert.noarch           1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-common.noarch         1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-compute.noarch        1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-conductor.noarch      1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-console.noarch        1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-novncproxy.noarch     1:12.0.1-2.el7ost       @RH7-RHOS-8.0      
openstack-nova-scheduler.noarch      1:12.0.1-2.el7ost       @RH7-RHOS-8.0
Comment 6 Lee Yarwood 2016-02-22 15:29:52 EST
*** Bug 1287696 has been marked as a duplicate of this bug. ***
Comment 7 errata-xmlrpc 2016-04-07 17:16:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0603.html

Note You need to log in before you can comment on or make changes to this bug.